This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1292842 - Segmentation fault - non-inlined constructor with argument of template type
Segmentation fault - non-inlined constructor with argument of template type
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: mingw-gcc (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 08:28 EST by Slawomir Czarko
Modified: 2016-01-12 23:26 EST (History)
4 users (show)

See Also:
Fixed In Version: mingw-gcc-4.9.3-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 23:26:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Source causing segfault (158 bytes, text/plain)
2015-12-18 08:28 EST, Slawomir Czarko
no flags Details
File which compiles OK (535 bytes, text/plain)
2015-12-18 08:28 EST, Slawomir Czarko
no flags Details
Preprocessed segfault.cpp (243 bytes, text/plain)
2015-12-18 08:29 EST, Slawomir Czarko
no flags Details

  None (edit)
Description Slawomir Czarko 2015-12-18 08:28:01 EST
Created attachment 1107167 [details]
Source causing segfault

Description of problem:

Crash when compiling segfault.cpp

Version-Release number of selected component (if applicable):
mingw64-gcc-c++-4.9.1-3.el7.x86_64
mingw32-gcc-c++-4.9.1-3.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. x86_64-w64-mingw32-4.9.1-g++ -std=c++11 -c /tmp/segfault.cpp -o /dev/null
2.
3.

Actual results:

cc1plus: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.

Expected results:

No crash

Additional info:

i686-w64-mingw32-4.9.1-g++ also crashes

No crash when compiling ok.cpp
Comment 1 Slawomir Czarko 2015-12-18 08:28 EST
Created attachment 1107168 [details]
File which compiles OK
Comment 2 Slawomir Czarko 2015-12-18 08:29 EST
Created attachment 1107170 [details]
Preprocessed segfault.cpp
Comment 3 Erik van Pienbroek 2015-12-24 14:12:30 EST
I just pushed an updated mingw-gcc (version 4.9.3) to epel-testing. It should appear there tomorrow or otherwise you can fetch it from http://koji.fedoraproject.org/koji/buildinfo?buildID=707290
Can you test if the crash still occurs with that version?
Comment 4 Slawomir Czarko 2015-12-25 08:53:36 EST
With version 4.9.3 the crash does not occur.
Comment 5 Fedora Update System 2015-12-25 09:31:28 EST
mingw-gcc-4.9.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ff50ac1bdf
Comment 6 Fedora Update System 2015-12-28 19:26:16 EST
mingw-gcc-4.9.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ff50ac1bdf
Comment 7 Fedora Update System 2016-01-12 23:26:43 EST
mingw-gcc-4.9.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.